## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# fails: dnf-repo: /etc/yum.repos.d not found!
%bcond_with tests

Name:           dnf-repo
Version:        0.6.1
Release:        %autorelease
Summary:        A dnf wrapper with fine control of enabled repos

License:        GPL-3.0-or-later
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-curl-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-simple-prompt-devel
BuildRequires:  help2man
# End cabal-rpm deps
%if %{with tests}
BuildRequires:  dnf
BuildRequires:  fedora-repos
%endif

%description
A command-line wrapper of the dnf package manager to control the repos enabled
for a dnf invocation.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license COPYING
%doc ChangeLog.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
## START: Generated by rpmautospec
* Sat Aug 03 2024 Jens Petersen <petersen@redhat.com> - 0.6.1-5
- cabal-rpm-2.2.1 still uses %%bcond_with

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 14 2024 Jens Petersen <petersen@redhat.com> - 0.6.1-1
- https://hackage.haskell.org/package/dnf-repo-0.6.1/changelog

* Mon Apr 22 2024 Jens Petersen <petersen@redhat.com> - 0.6-1
- switch license from BSD to GPLv3+
- add --only option to only --repo enable certain repos
- add --dnf4 switch to avoid dnf5
- --add-copr: copr is now available while being added
- selectRepo: use left fold to not reverse order of repo actions
- normalize copr name internally
- error if /etc/yum.repo.d doesn't exist
- fix 0.5.6 regression: errors again when no matching repo

* Thu Apr 18 2024 Jens Petersen <petersen@redhat.com> - 0.5.6-1
- https://hackage.haskell.org/package/dnf-repo-0.5.6/changelog

* Sun Jul 02 2023 Jens Petersen <petersen@redhat.com> - 0.5.5-1
- https://hackage.haskell.org/package/dnf-repo-0.5.5/changelog

* Sat May 06 2023 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- https://hackage.haskell.org/package/dnf-repo-0.5.4/changelog

* Sat Dec 31 2022 Jens Petersen <petersen@redhat.com> - 0.5.3-1
- https://hackage.haskell.org/package/dnf-repo-0.5.3/changelog

* Mon Nov 28 2022 Jens Petersen <petersen@redhat.com> - 0.5.2-1
- https://hackage.haskell.org/package/dnf-repo-0.5.2/changelog

* Tue Nov 08 2022 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- https://hackage.haskell.org/package/dnf-repo-0.5.1/changelog

* Mon Oct 24 2022 Jens Petersen <petersen@redhat.com> - 0.5-1
- https://hackage.haskell.org/package/dnf-repo-0.5/changelog

* Thu Oct 20 2022 Jens Petersen <petersen@redhat.com> - 0.4-1
- https://hackage.haskell.org/package/dnf-repo-0.4/changelog

* Fri Aug 12 2022 Jens Petersen <petersen@redhat.com> - 0.3-1
- https://hackage.haskell.org/package/dnf-repo-0.3/changelog

* Fri Aug 12 2022 Jens Petersen <petersen@redhat.com> - 0.2-1
- https://hackage.haskell.org/package/dnf-repo-0.2/changelog

* Mon Jun 20 2022 Jens Petersen <petersen@redhat.com> - 0.1-1
- https://hackage.haskell.org/package/dnf-repo-0.1/changelog

## END: Generated by rpmautospec
